### Method

# Gtk.Widget.remove_controller

#### Declaration [src]

    void
    gtk_widget_remove_controller (
      GtkWidget* widget,
      GtkEventController* controller
    )

#### Description [src]

Removes `controller` from `widget`, so that it doesn’t process events anymore.

It should not be used again.

Widgets will remove all event controllers automatically when they are destroyed, there is normally no need to call this function.

#### Parameters

`controller` | `GtkEventController`
| a `GtkEventController`
| Ownership is not transferred to the callee